## python-cinderclient 1.0.6

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
PrettyTable>=0.6,<0.8
requests>=1.1
simplejson>=2.0.9
Babel>=0.9.6
six

## python-cinderclient 1.0.0

=== debian/changelog ===
python-cinderclient (1:1.0.0-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/fix-pep8-errors.patch: Dropped dont run 
    pep8 tests. 
  
  [ Adam Gandelman ]
  * debian/control: Drop 'Provides: ${python:Provides}'.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 01 Oct 2012 12:05:26 -0500

python-cinderclient (1:0.2.12-0ubuntu1) quantal; urgency=low

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 11:35:32 -0500

python-cinderclient (1:0.2-0ubuntu1) quantal; urgency=low

  * New upstream version.
  * debian/watch: Update.
  * debian/control: clean up run time deps and build deps.
  * debian/control: Add python-provides

  [ Adam Gandelman ]
  * debian/control: Set Provides: ${python:Provides}.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:03:50 -0500

python-cinderclient (2012.2~f1~20120621.8-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 27 Jun 2012 13:32:14 -0400

=== debian/control ===
Source: python-cinderclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6),
 python-setuptools,
 python-nose,
 python-httplib2,
 python-prettytable,
 python-simplejson,
 python-mock,
 pep8,
 python-sphinx,
 python-unittest2
Standards-Version: 3.9.3
X-Python-Version: >= 2.5

Package: python-cinderclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-httplib2,
 python-prettytable, python-simplejson
Description: python bindings to the OpenStack Volume API
 This is a client for the OpenStack Volume API. There's a Python API (the
 ``cinderclient`` module), and a command-line script (``cinder``). Each
 implements 100% of the OpenStack Volume API.

## python-cinderclient 1.0.2.20.g20dcc85

=== debian/changelog ===
python-cinderclient (1:1.0.2.20.g20dcc85-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control: Drop python-nose in favor of testrepository.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Feb 2013 20:58:32 -0600

python-cinderclient (1:1.0.2.3.g61e2a42-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * New upstream release.

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Add python-requests as a build dep
  * debian/control: Add python-testtools and python-fixtures as a build dep.

  [ Yolanda Robla ]
  * debian/control: add python-setuptools-git dependency
  * debian/copyright: Removed remaining dh boilerplate template.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 10 Jan 2013 11:35:58 -0800

=== debian/control ===
Source: python-cinderclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6),
 python-setuptools,
 python-httplib2,
 python-requests,
 python-prettytable,
 python-simplejson,
 python-mock,
 pep8,
 python-sphinx,
 python-unittest2,
 python-setuptools-git (>= 0.4),
 python-testtools,
 python-fixtures,
 testrepository
Standards-Version: 3.9.3
X-Python-Version: >= 2.5

Package: python-cinderclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-httplib2,
 python-prettytable, python-requests, python-simplejson
Description: python bindings to the OpenStack Volume API
 This is a client for the OpenStack Volume API. There's a Python API (the
 ``cinderclient`` module), and a command-line script (``cinder``). Each
 implements 100% of the OpenStack Volume API.

## python-cinderclient 1.0.3

=== debian/changelog ===
python-cinderclient (1:1.0.3-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Apr 2013 09:20:51 -0500

## python-cinderclient 1.0.4

=== debian/changelog ===
python-cinderclient (1:1.0.4-0ubuntu1~13.04.1) raring-backports; urgency=low

  * Backport from saucy to raring (LP: #1191848)
  * Add missing depends on python-pkg-resources

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Sep 2013 01:05:21 -0400

python-cinderclient (1:1.0.4-0ubuntu1) saucy; urgency=low

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

  [ James Page ]
  * New upstream release:
    - Fixes problem with --debug option (LP: #1130730). 
  * d/control: Update VCS fields for new branch locations.
  * d/install: Enable bash completion for cinder command. 
  * d/control: Drop pep8 from BD's.
  * d/control: Bumped Standards-Version to 3.9.4:
    - d/copyright: Switch to released version of DEP-5.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jul 2013 14:45:01 +0100

=== debian/control ===
Source: python-cinderclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-fixtures,
 python-httplib2,
 python-mock,
 python-prettytable,
 python-requests,
 python-setuptools,
 python-setuptools-git (>= 0.4),
 python-simplejson,
 python-sphinx,
 python-testtools,
 python-unittest2,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-cinderclient/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-cinderclient/havana
XS-Testsuite: autopkgtest

Package: python-cinderclient
Architecture: all
Depends:
 python-httplib2,
 python-prettytable,
 python-requests,
 python-simplejson,
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Description: python bindings to the OpenStack Volume API
 This is a client for the OpenStack Volume API. There's a Python API (the
 ``cinderclient`` module), and a command-line script (``cinder``). Each
 implements 100% of the OpenStack Volume API.

## python-cinderclient 1.0.6

=== debian/changelog ===
python-cinderclient (1:1.0.6-2) unstable; urgency=low

  * Added missing build-depends: python-babel.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2013 07:20:30 +0000

python-cinderclient (1:1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Fixed new (build-)depends for this release.
  * Bumped Standard-Version: to 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:19:25 +0800

python-cinderclient (1:1.0.5-2) unstable; urgency=low

  * Added missing python-requests (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 16:54:23 +0800

python-cinderclient (1:1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Ran wrap-and-sort.
  * Now build-depends python-pbr (>= 0.5.20), testrepository.
  * Unit tests are now using testrepository.
  * Added (build-)depends: python-six.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:42:32 +0800

python-cinderclient (1:1.0.4-2) unstable; urgency=low

  * Added missing build-dependencies: python-setputools-git and python-subunit.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2013 17:39:51 +0000

python-cinderclient (1:1.0.4-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * Fixed the launch of unit tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:53:36 +0000

python-cinderclient (1:1.0.2-1) experimental; urgency=low

  * New upstream release.
  * Removes all old patches which aren't needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Feb 2013 02:36:05 +0800

python-cinderclient (1:0.2-1) experimental; urgency=low

  * First debian release (Closes: #687518)

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Feb 2013 13:43:12 +0000

=== debian/control ===
Source: python-cinderclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools
Build-Depends-Indep: python-babel,
                     python-fixtures (>= 0.3.12),
                     python-httplib2,
                     python-mock,
                     python-nose,
                     python-prettytable,
                     python-requests (>= 1.1),
                     python-setuptools-git,
                     python-simplejson (>= 2.0.9),
                     python-six,
                     python-sphinx,
                     python-subunit,
                     python-testtools (>= 0.9.32),
                     python-unittest2,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-cinderclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-cinderclient.git
Homepage: https://github.com/openstack/python-cinderclient

Package: python-cinderclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-httplib2,
         python-pbr (>= 0.5.21),
         python-prettytable,
         python-requests (>= 1.1),
         python-simplejson (>= 2.0.9),
         python-six,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: python bindings to the OpenStack Volume API
 Cinder is a block storage as service system for the Openstack cloud computing
 software suite. It is a direct replacement for nova-volume as a separate
 project. Cinder users LVM partitions of your volume servers in order to
 provide iSCSI permanent block storage devices for your virtual machines
 running on Nova.
 .
 This package contains the a client for the OpenStack Volume API. There's a
 Python API (the "cinderclient" module), and a command-line script ("cinder").
 Each implements 100% of the OpenStack Volume API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

override_dh_auto_clean:
	echo $(VERSION) > cinderclient/versioninfo
	dh_auto_clean
	rm -f cinderclient/versioninfo
	rm -rf setuptools_git-*.egg
	rm -rf build

override_dh_auto_configure:
	echo $(VERSION) > cinderclient/versioninfo
	dh_auto_configure

override_dh_install:
	dh_install
	install -D -m 0644 tools/cinder.bash_completion $(CURDIR)/debian/python-cinderclient/etc/bash_completion.d/cinder.bash_completion

%:
	dh $@  --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -P -N || true
	#python setup.py testr --slowest --testr-args='--subunit  '
endif

## python-cinderclient 1.0.8

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
PrettyTable>=0.7,<0.8
requests>=1.1
simplejson>=2.0.9
Babel>=1.3
six>=1.4.1

=== debian/changelog ===
python-cinderclient (1:1.0.8-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 06:36:30 +0000

python-cinderclient (1:1.0.8-1) experimental; urgency=low

  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * New (build-)depends for this release.
  * Disabled useless dh targets.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Apr 2014 00:46:18 +0800

=== debian/control ===
--- 
+++ 
@@ -11,22 +11,23 @@
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.5.21),
                python-setuptools
-Build-Depends-Indep: python-babel,
-                     python-fixtures (>= 0.3.12),
+Build-Depends-Indep: python-babel (>= 1.3),
+                     python-fixtures (>= 0.3.14),
+                     python-hacking (>= 0.8.0),
                      python-httplib2,
-                     python-mock,
+                     python-mock (>= 1.0),
                      python-nose,
-                     python-prettytable,
+                     python-prettytable (>= 0.7),
                      python-requests (>= 1.1),
-                     python-setuptools-git,
                      python-simplejson (>= 2.0.9),
-                     python-six,
+                     python-six (>= 1.4.1),
                      python-sphinx,
                      python-subunit,
                      python-testtools (>= 0.9.32),
                      python-unittest2,
+                     subunit,
                      testrepository (>= 0.0.17)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-cinderclient.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/python-cinderclient.git
 Homepage: https://github.com/openstack/python-cinderclient
@@ -34,12 +35,13 @@
 Package: python-cinderclient
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-httplib2,
+Depends: python-babel (>= 1.3),
+         python-httplib2,
          python-pbr (>= 0.5.21),
-         python-prettytable,
+         python-prettytable (>= 0.7),
          python-requests (>= 1.1),
          python-simplejson (>= 2.0.9),
-         python-six,
+         python-six (>= 1.4.1),
          ${misc:Depends},
          ${python:Depends}
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,11 @@
 	./run_tests.sh -P -N || true
 	#python setup.py testr --slowest --testr-args='--subunit  '
 endif
+
+# Commands not to run
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules override_dh_installlogcheck:
+override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-cinderclient 1.1.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.10.0
requests>=1.2.1
simplejson>=2.2.0
Babel>=1.3
six>=1.7.0

=== debian/changelog ===
python-cinderclient (1:1.1.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Sep 2014 03:13:16 -0400

python-cinderclient (1:1.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control:
   - Drop python-httpretty
   - Added python-request-mock 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 09:36:48 -0400

python-cinderclient (1:1.0.9-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Run testr directly.
  * debian/control: Add python-keystoneclientclient as a dependency.
  * debian/control: Open up juno release
  * debian/control: Add python-httpretty as a depdendency.

  [ Liam Young ]
  * debian/control: Merged in deps from requirements.txt

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 12:47:44 -0400

python-cinderclient (1:1.0.8-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/patches/fix-search-opts.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 15:15:14 -0500

python-cinderclient (1:1.0.7-0ubuntu2) trusty; urgency=medium

  * debian/patches/fix-search-opts.patch: Fix 'search_opts' unexpected keyword
    argument error (LP: #1248519)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jan 2014 08:52:32 -0500

python-cinderclient (1:1.0.7-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: open icehouse release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Dec 2013 13:25:35 -0500

python-cinderclient (1:1.0.6-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/p/*: Dropped - no longer required. 

  [ Chuck Short ]
  * New upstream release. (LP: #1236901)
  * debian/control:
    - Added versioned dependencies for python-simplejson, python-requests
      python-fixtures, python-pbr, python-prettytable, python-testtools,
      and testrepository,
    - Added dependencies on python-six and python-babel.
    - Dropped python-setuptools-git, python-httplib2, python-unittest2,
      and python-d2to1.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Oct 2013 11:12:46 -0400

python-cinderclient (1:1.0.5-0ubuntu2) saucy; urgency=low

  * Add missing depends on python-pkg-resources

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Sep 2013 00:55:25 -0400

python-cinderclient (1:1.0.5-0ubuntu1) saucy; urgency=low

  [ Andres Rodriguez ]
  * debian/control: Build-Depends python-pbr and python-d2to1.

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/fix-requirements.patch: Fix requests dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Aug 2013 10:52:31 -0400

=== debian/control ===
Source: python-cinderclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-babel (>= 1.3),
 python-fixtures (>= 0.3.12),
 python-keystoneclient (>= 1:0.9.0),
 python-mock,
 python-requests-mock,
 python-pbr (>= 0.6),
 python-prettytable (>= 0.7),
 python-requests (>= 1.1),
 python-setuptools,
 python-simplejson (>= 2.0.9),
 python-six (>= 1.7.0),
 python-sphinx,
 python-testtools (>= 0.9.32),
 testrepository (>= 0.0.17)
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-cinderclient/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-cinderclient/juno
XS-Testsuite: autopkgtest

Package: python-cinderclient
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-keystoneclient (>= 1:0.9.0),
 python-pkg-resources,
 python-prettytable (>= 0.7),
 python-requests (>= 1.1),
 python-simplejson (>= 2.0.9),
 python-six (>= 1.7.0),
 ${misc:Depends},
 ${python:Depends}
Description: python bindings to the OpenStack Volume API
 This is a client for the OpenStack Volume API. There's a Python API (the
 ``cinderclient`` module), and a command-line script (``cinder``). Each
 implements 100% of the OpenStack Volume API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_test:
	testr init && testr run

## python-cinderclient 1.1.1

=== debian/changelog ===
python-cinderclient (1:1.1.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 12 Nov 2014 11:05:46 -0500

python-cinderclient (1:1.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Open up for vivid.
  * debian/control: Update bzr branches 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 08:53:44 -0500

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  testrepository (>= 0.0.17)
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-cinderclient/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-cinderclient/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-cinderclient/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-cinderclient/kilo
 XS-Testsuite: autopkgtest
 
 Package: python-cinderclient

## python-cinderclient 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6
argparse
PrettyTable<0.8,>=0.7
python-keystoneclient>=1.6.0
requests>=2.5.2
simplejson>=2.2.0
Babel>=1.3
six>=1.9.0

=== debian/changelog ===
python-cinderclient (1:1.4.0-2) experimental; urgency=medium

  * Unit test failures are now failing the build.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 08:42:45 +0000

python-cinderclient (1:1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 08:37:03 +0000

python-cinderclient (1:1.3.1-2) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends versions for this release.
  * Allow unit test to fail (see:
    https://bugs.launchpad.net/python-cinderclient/+bug/1479560).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:08:13 +0000

python-cinderclient (1:1.2.2-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.
    - d/rules: Fail the build if tests fail.

  [ Thomas Goirand ]
  * Added Python3 support.
  * Swiched to using testr directly when running tests.
  * Moved bash completion to /usr.
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jun 2015 10:40:39 -0400

python-cinderclient (1:1.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 19:18:58 +0000

python-cinderclient (1:1.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before Jessie freeze.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 14:50:23 +0800

=== debian/control ===
Source: python-cinderclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.8.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python3-babel,
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-prettytable,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.6.1),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-cinderclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-cinderclient.git
Homepage: https://github.com/openstack/python-cinderclient
XS-Testsuite: autopkgtest

Package: python-cinderclient
Architecture: all
Depends: python-babel,
         python-keystoneclient (>= 1:1.6.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-simplejson,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Python bindings to the OpenStack Volume API - Python 2.x
 Cinder is a block storage as service system for the Openstack cloud computing
 software suite. It is a direct replacement for nova-volume as a separate
 project. Cinder users LVM partitions of your volume servers in order to
 provide iSCSI permanent block storage devices for your virtual machines
 running on Nova.
 .
 This package contains the a client for the OpenStack Volume API. There's a
 Python API (the "cinderclient" module), and a command-line script ("cinder").
 Each implements 100% of the OpenStack Volume API.
 .
 This package provides the Python 2.x module.

Package: python3-cinderclient
Architecture: all
Depends: python3-babel,
         python3-keystoneclient (>= 1:1.6.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.5.2),
         python3-simplejson,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Provides: ${python:Provides},
Description: Python bindings to the OpenStack Volume API - Python 3.x
 Cinder is a block storage as service system for the Openstack cloud computing
 software suite. It is a direct replacement for nova-volume as a separate
 project. Cinder users LVM partitions of your volume servers in order to
 provide iSCSI permanent block storage devices for your virtual machines
 running on Nova.
 .
 This package contains the a client for the OpenStack Volume API. There's a
 Python API (the "cinderclient" module), and a command-line script ("cinder").
 Each implements 100% of the OpenStack Volume API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-cinderclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-cinderclient; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-cinderclient/usr/bin/cinder $(CURDIR)/debian/python-cinderclient/usr/bin/python2-cinder
	mv $(CURDIR)/debian/python3-cinderclient/usr/bin/cinder $(CURDIR)/debian/python3-cinderclient/usr/bin/python3-cinder

override_dh_install:
	dh_install
	install -D -m 0644 tools/cinder.bash_completion $(CURDIR)/debian/python-cinderclient/usr/share/bash-completion/completions/cinder.bash_completion

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-cinderclient 1.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
simplejson>=2.2.0 # MIT
Babel>=1.3 # BSD
six>=1.9.0 # MIT
oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-cinderclient (1:1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:46:34 +0000

python-cinderclient (1:1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:35:45 +0100

python-cinderclient (1:1.5.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
    - d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 13:01:19 -0500

python-cinderclient (1:1.4.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:28:14 +0000

python-cinderclient (1:1.4.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run unit tests with Python 3.5 as it's broken.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:37:17 +0000

=== debian/control ===
--- 
+++ 
@@ -22,30 +22,32 @@
                      python-mock (>= 1.3),
                      python-oslosphinx (>= 2.5.0),
                      python-prettytable,
-                     python-requests (>= 2.5.2),
-                     python-requests-mock (>= 0.6.0),
+                     python-requests (>= 2.8.1),
+                     python-requests-mock (>= 0.7.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
-                     python-tempest-lib (>= 0.6.1),
+                     python-tempest-lib (>= 0.14.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
+                     python-oslo.utils (>= 3.5.0),
                      python3-babel,
                      python3-fixtures (>= 1.3.1),
                      python3-keystoneclient (>= 1:1.6.0),
                      python3-mock (>= 1.3),
                      python3-prettytable,
-                     python3-requests (>= 2.5.2),
-                     python3-requests-mock (>= 0.6.0),
+                     python3-requests (>= 2.8.1),
+                     python3-requests-mock (>= 0.7.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.6.1),
+                     python3-tempest-lib (>= 0.14.0),
                      python3-testtools (>= 1.4.0),
+                     python3-oslo.utils (>= 3.5.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-cinderclient.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-cinderclient.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-cinderclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-cinderclient.git
 Homepage: https://github.com/openstack/python-cinderclient
 XS-Testsuite: autopkgtest
 
@@ -55,9 +57,10 @@
          python-keystoneclient (>= 1:1.6.0),
          python-pbr (>= 1.6),
          python-prettytable,
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-simplejson,
          python-six (>= 1.9.0),
+         python-oslo.utils (>= 3.5.0),
          ${misc:Depends},
          ${python:Depends},
 Provides: ${python:Provides},
@@ -80,9 +83,10 @@
          python3-keystoneclient (>= 1:1.6.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
-         python3-requests (>= 2.5.2),
+         python3-requests (>= 2.8.1),
          python3-simplejson,
          python3-six (>= 1.9.0),
+         python3-oslo.utils (>= 3.5.0),
          ${misc:Depends},
          ${python3:Depends},
 Provides: ${python:Provides},

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,9 @@
 	mv $(CURDIR)/debian/python-cinderclient/usr/bin/cinder $(CURDIR)/debian/python-cinderclient/usr/bin/python2-cinder
 	mv $(CURDIR)/debian/python3-cinderclient/usr/bin/cinder $(CURDIR)/debian/python3-cinderclient/usr/bin/python3-cinder
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_install:
 	dh_install
 	install -D -m 0644 tools/cinder.bash_completion $(CURDIR)/debian/python-cinderclient/usr/share/bash-completion/completions/cinder.bash_completion

## python-cinderclient 1.8.0

=== debian/changelog ===
python-cinderclient (1:1.8.0-1+93~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 07 Sep 2016 11:59:42 +0000

python-cinderclient (1:1.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 16:23:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.6),
                python-setuptools,
@@ -14,38 +14,43 @@
                python3-all,
                python3-pbr (>= 1.6),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
+                     python-ddt (>= 1.0.1),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.8.0),
-                     python-keystoneclient (>= 1:1.6.0),
+                     python-keystoneclient (>= 1:1.7.0),
                      python-mock (>= 1.3),
+                     python-os-testr (>= 0.4.1),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-prettytable,
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-requests-mock (>= 0.7.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
-                     python-tempest-lib (>= 0.14.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
-                     python-oslo.utils (>= 3.5.0),
-                     python3-babel,
+                     python3-babel (>= 2.3.4),
+                     python3-ddt (>= 1.0.1),
                      python3-fixtures (>= 1.3.1),
-                     python3-keystoneclient (>= 1:1.6.0),
+                     python3-keystoneclient (>= 1:1.7.0),
                      python3-mock (>= 1.3),
+                     python3-os-testr (>= 0.4.1),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-prettytable,
-                     python3-requests (>= 2.8.1),
+                     python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 0.7.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.14.0),
                      python3-testtools (>= 1.4.0),
-                     python3-oslo.utils (>= 3.5.0),
                      subunit,
+                     tempest (>= 1:12.0.0),
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-cinderclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-cinderclient.git
 Homepage: https://github.com/openstack/python-cinderclient
@@ -53,14 +58,15 @@
 
 Package: python-cinderclient
 Architecture: all
-Depends: python-babel,
-         python-keystoneclient (>= 1:1.6.0),
+Depends: python-babel (>= 2.3.4),
+         python-keystoneclient (>= 1:1.7.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.6),
          python-prettytable,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-simplejson,
          python-six (>= 1.9.0),
-         python-oslo.utils (>= 3.5.0),
          ${misc:Depends},
          ${python:Depends},
 Provides: ${python:Provides},
@@ -79,14 +85,15 @@
 
 Package: python3-cinderclient
 Architecture: all
-Depends: python3-babel,
-         python3-keystoneclient (>= 1:1.6.0),
+Depends: python3-babel (>= 2.3.4),
+         python3-keystoneclient (>= 1:1.7.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-simplejson,
          python3-six (>= 1.9.0),
-         python3-oslo.utils (>= 3.5.0),
          ${misc:Depends},
          ${python3:Depends},
 Provides: ${python:Provides},

## python-cinderclient 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
keystoneauth1>=2.10.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
python-cinderclient (1:1.9.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Disable one of the asserts in
    cinderclient.tests.unit.test_shell.ShellTest.test_version_discovery
    (Closes: #848752).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Dec 2016 17:27:12 +0100

python-cinderclient (1:1.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:36:05 +0200

python-cinderclient (1:1.9.0-1) experimental; urgency=medium

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 09:53:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Corey Bryant <corey.bryant@canonical.com>,
            Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -17,51 +17,51 @@
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
                      python-ddt (>= 1.0.1),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.8.0),
-                     python-keystoneclient (>= 1:1.7.0),
-                     python-mock (>= 1.3),
-                     python-os-testr (>= 0.4.1),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-mock (>= 2.0),
+                     python-os-testr (>= 0.7.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-prettytable,
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 0.7.0),
+                     python-requests-mock (>= 1.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python3-babel (>= 2.3.4),
                      python3-ddt (>= 1.0.1),
-                     python3-fixtures (>= 1.3.1),
-                     python3-keystoneclient (>= 1:1.7.0),
-                     python3-mock (>= 1.3),
-                     python3-os-testr (>= 0.4.1),
+                     python3-fixtures (>= 3.0.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-mock (>= 2.0),
+                     python3-os-testr (>= 0.7.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-prettytable,
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 0.7.0),
+                     python3-requests-mock (>= 1.0),
                      python3-simplejson,
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testtools (>= 1.4.0),
                      subunit,
-                     tempest (>= 1:12.0.0),
+                     tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-cinderclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-cinderclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-cinderclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-cinderclient -b debian/newton
 Homepage: https://github.com/openstack/python-cinderclient
 XS-Testsuite: autopkgtest
 
 Package: python-cinderclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.6),
          python-prettytable,
          python-requests (>= 2.10.0),
@@ -86,9 +86,9 @@
 Package: python3-cinderclient
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
-         python3-keystoneclient (>= 1:1.7.0),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
          python3-requests (>= 2.10.0),
